<template>
  <div class="hero">
    <!-- 新的第二模块 -->
    <div class="new_sec_part">
      <div class="boxThree">
        <!-- <div class="tiao_top"></div> -->
        <div class="container">
          <div class="hero_nav">
            <ul class="clearfix">
              <li
                class="heroList"
                :class="item.typeisact ? 'act' : ''"
                v-for="(item, index) in herotabData"
                :key="index"
                @click="tabHeroType(item, index)"
              >
                {{ item.herotype }}
              </li>
            </ul>
          </div>
          <div class="tabbox">
            <div
              class="BgBox"
              :class="item.isboxshow ? 'show' : 'hide'"
              v-for="(item, index) in heroData"
              :key="index"
            >
              <div class="pcshow">
                <div class="leftbox">
                  <img :src="currentHero" class="bg_hero" />
                </div>
                <div class="rightBox">
                  <div class="wrapper-heroHeadImgBox">
                    <div class="heroHeadImgBox">
                      <ul>
                        <li
                          :style="{ display: item0.isshow ? 'block' : 'none' }"
                          class="clearfix"
                          v-for="(item0, index0) in item.herogroups"
                          :key="index0"
                        >
                          <img
                            :src="item1.avatar"
                            v-for="(item1, index1) in item0.group"
                            :key="index1"
                            :class="item1.isclick ? 'act' : ''"
                            @click="tabImgBorder(item1)"
                          />
                        </li>
                      </ul>
                    </div>
                  </div>
                  <a
                    href="javascript:;"
                    class="preBtn"
                    v-if="item.currentgroupsIndex > 0"
                    @click="gotoPre(item)"
                  ></a>
                  <a
                    href="javascript:;"
                    v-if="item.currentgroupsIndex < 1"
                    class="preBtn disabled"
                  ></a>
                  <a
                    href="javascript:;"
                    v-if="item.currentgroupsIndex < item.herogroups.length - 1"
                    class="nextBtn"
                    @click="gotoNext(item)"
                  ></a>
                  <a
                    href="javascript:;"
                    class="nextBtn disabled"
                    v-if="item.currentgroupsIndex >= item.herogroups.length - 1"
                  ></a>
                </div>
              </div>
              <div class="phoneshow">
                <div class="leftbox">
                  <img :src="mobilecurrentHero" class="bg_hero" />
                </div>
                <div class="rightBox">
                  <div class="wrapper-heroHeadImgBox">
                    <div class="heroHeadImgBox">
                      <ul>
                        <li
                          :style="{ display: item0.isshow ? 'block' : 'none' }"
                          class="clearfix"
                          v-for="(item0, index0) in item.mobileherogroups"
                          :key="index0"
                        >
                          <img
                            :src="item1.avatar"
                            v-for="(item1, index1) in item0.group"
                            :key="index1"
                            :class="item1.isclick ? 'act' : ''"
                            @click="tabmobileImgBorder(item1)"
                          />
                        </li>
                      </ul>
                    </div>
                  </div>
                  <a
                    href="javascript:;"
                    v-if="item.currentgroupsIndex > 0"
                    class="preBtn"
                    @click="mobilegotoPre(item)"
                  ></a>
                  <a
                    href="javascript:;"
                    v-if="item.currentgroupsIndex < 1"
                    class="preBtn disabled"
                  ></a>
                  <a
                    href="javascript:;"
                    v-if="
                      item.currentgroupsIndex < item.mobileherogroups.length - 1
                    "
                    class="nextBtn"
                    @click="mobilegotoNext(item)"
                  ></a>
                  <a
                    href="javascript:;"
                    class="nextBtn disabled"
                    v-if="
                      item.currentgroupsIndex >=
                      item.mobileherogroups.length - 1
                    "
                  ></a>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="tiao_bottom"></div>
      </div>
    </div>
  </div>
</template>

<script>
// @ is an alias to /srcf-nav-icon1
export default {
  name: "Hero",
  components: {},
  data() {
    return {
      herotabData: [
        { herotype: "All", typeisact: true },
        { herotype: "Shooter", typeisact: false },
        { herotype: "Sorcerer", typeisact: false },
      ],
      heroData: [
        {
          isboxshow: true,
          currentgroupsIndex: 0,
          herogroups: [
            {
              isshow: true,
              group: [
                {
                  name: "hero1",
                  isclick: true,
                  avatar: require("../assets/images/home/hero/head/head_1.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_1.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_1.jpg"),
                },
                {
                  name: "hero2",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_2.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_2.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_2.jpg"),
                },
                {
                  name: "hero3",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_3.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_3.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_3.jpg"),
                },
                {
                  name: "hero4",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_4.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_4.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_4.jpg"),
                },
                {
                  name: "hero5",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_5.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_5.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_5.jpg"),
                },
                {
                  name: "hero6",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_6.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_6.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_6.jpg"),
                },
                {
                  name: "hero10",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_10.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_10.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_10.jpg"),
                },
                {
                  name: "hero11",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_11.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_11.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_11.jpg"),
                },
                {
                  name: "hero12",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_12.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_12.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_12.jpg"),
                },
                {
                  name: "hero13",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_13.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_13.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_13.jpg"),
                },
                {
                  name: "hero14",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_14.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_14.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_14.jpg"),
                },
                {
                  name: "hero15",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_15.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_15.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_15.jpg"),
                },
              ],
            },
            {
              isshow: false,
              group: [
                {
                  name: "hero16",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_16.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_16.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_16.jpg"),
                },
                {
                  name: "hero17",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_17.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_17.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_17.jpg"),
                },
                {
                  name: "hero18",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_18.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_18.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_18.jpg"),
                },
              ],
            },
          ],
          mobileherogroups: [
            {
              isshow: true,
              group: [
                {
                  name: "hero1",
                  isclick: true,
                  avatar: require("../assets/images/home/hero/head/head_1.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_1.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_1.jpg"),
                },
                {
                  name: "hero2",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_2.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_2.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_2.jpg"),
                },
                {
                  name: "hero3",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_3.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_3.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_3.jpg"),
                },
                {
                  name: "hero4",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_4.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_4.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_4.jpg"),
                },
                {
                  name: "hero5",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_5.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_5.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_5.jpg"),
                },
                {
                  name: "hero6",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_6.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_6.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_6.jpg"),
                },
                {
                  name: "hero10",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_10.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_10.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_10.jpg"),
                },
                {
                  name: "hero11",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_11.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_11.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_11.jpg"),
                },
              ],
            },
            {
              isshow: false,
              group: [
                {
                  name: "hero12",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_12.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_12.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_12.jpg"),
                },
                {
                  name: "hero13",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_13.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_13.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_13.jpg"),
                },
                {
                  name: "hero14",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_14.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_14.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_14.jpg"),
                },
                {
                  name: "hero15",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_15.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_15.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_15.jpg"),
                },
                {
                  name: "hero16",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_16.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_16.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_16.jpg"),
                },
                {
                  name: "hero17",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_17.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_17.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_17.jpg"),
                },
                {
                  name: "hero18",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_18.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_18.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_18.jpg"),
                },
              ],
            },
          ],
        },
        {
          isboxshow: false,
          currentgroupsIndex: 0,
          herogroups: [
            {
              isshow: true,
              group: [
                {
                  name: "hero1",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_1.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_1.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_1.jpg"),
                },
                {
                  name: "hero2",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_20.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_20.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_20.jpg"),
                },
                {
                  name: "hero3",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_42.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_42.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_42.jpg"),
                },
                {
                  name: "hero4",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_33.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_33.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_33.jpg"),
                },
                {
                  name: "hero5",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_30.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_30.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_30.jpg"),
                },
                {
                  name: "hero6",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_49.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_49.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_49.jpg"),
                },
                {
                  name: "hero7",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_55.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_55.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_55.jpg"),
                },
              ],
            },
          ],
          mobileherogroups: [
            {
              isshow: true,
              group: [
                {
                  name: "hero1",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_1.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_1.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_1.jpg"),
                },
                {
                  name: "hero2",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_20.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_20.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_20.jpg"),
                },
                {
                  name: "hero3",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_42.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_42.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_42.jpg"),
                },
                {
                  name: "hero4",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_33.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_33.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_33.jpg"),
                },
                {
                  name: "hero5",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_30.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_30.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_30.jpg"),
                },
                {
                  name: "hero6",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_49.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_49.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_49.jpg"),
                },
                {
                  name: "hero7",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_55.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_55.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_55.jpg"),
                },
              ],
            },
          ],
        },
        {
          isboxshow: false,
          currentgroupsIndex: 0,
          herogroups: [
            {
              isshow: true,
              group: [
                {
                  name: "hero1",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_19.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_19.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_19.jpg"),
                },
                {
                  name: "hero2",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_14.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_14.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_14.jpg"),
                },
                {
                  name: "hero3",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_15.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_15.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_15.jpg"),
                },
                {
                  name: "hero4",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_37.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_37.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_37.jpg"),
                },
                {
                  name: "hero5",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_22.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_22.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_22.jpg"),
                },
                {
                  name: "hero6",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_41.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_41.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_41.jpg"),
                },
                {
                  name: "hero7",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_27.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_27.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_27.jpg"),
                },
              ],
            },
          ],
          mobileherogroups: [
            {
              isshow: true,
              group: [
                {
                  name: "hero1",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_19.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_19.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_19.jpg"),
                },
                {
                  name: "hero2",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_14.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_14.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_14.jpg"),
                },
                {
                  name: "hero3",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_15.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_15.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_15.jpg"),
                },
                {
                  name: "hero4",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_37.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_37.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_37.jpg"),
                },
                {
                  name: "hero5",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_22.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_22.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_22.jpg"),
                },
                {
                  name: "hero6",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_41.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_41.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_41.jpg"),
                },
                {
                  name: "hero7",
                  isclick: false,
                  avatar: require("../assets/images/home/hero/head/head_27.jpg"),
                  detailImg: require("../assets/images/home/hero/heroimg/heroimg_27.jpg"),
                  mobiledetailImg: require("../assets/images/home/mobile/heroimg/heroimg_27.jpg"),
                },
              ],
            },
          ],
        },
      ],
      currentHero: require("../assets/images/home/hero/heroimg/heroimg_1.jpg"),
      mobilecurrentHero: require("../assets/images/home/mobile/heroimg/heroimg_1.jpg"),
    };
  },
  methods: {
    tabHeroType(_i, _index) {
      for (let i of this.herotabData) {
        i.typeisact = false;
      }
      _i.typeisact = true;
      for (let i of this.heroData) {
        i.isboxshow = false;
      }
      this.heroData[_index].isboxshow = true;
    },
    tabImgBorder(_i) {
      for (let i of this.heroData) {
        if (i.herogroups) {
          for (let a of i.herogroups) {
            if (a.group) {
              for (let c of a.group) {
                c.isclick = false;
              }
            }
          }
        }
      }
      _i.isclick = true;
      this.currentHero = _i.detailImg;
    },
    tabmobileImgBorder(_i) {
      for (let i of this.heroData) {
        if (i.mobileherogroups) {
          for (let a of i.mobileherogroups) {
            if (a.group) {
              for (let c of a.group) {
                c.isclick = false;
              }
            }
          }
        }
      }
      _i.isclick = true;
      this.mobilecurrentHero = _i.mobiledetailImg;
    },
    gotoPre(_i) {
      let currentindex = parseInt(_i.currentgroupsIndex) - 1;
      if (currentindex >= 0) {
        for (let i of _i.herogroups) {
          i.isshow = false;
        }
        _i.herogroups[currentindex].isshow = true;
        _i.currentgroupsIndex = currentindex;
      }
    },
    gotoNext(_i) {
      let currentindex = parseInt(_i.currentgroupsIndex) + 1;
      if (currentindex < _i.herogroups.length) {
        for (let i of _i.herogroups) {
          i.isshow = false;
        }
        _i.herogroups[currentindex].isshow = true;
        _i.currentgroupsIndex = currentindex;
      }
    },
    mobilegotoPre(_i) {
      let currentindex = parseInt(_i.currentgroupsIndex) - 1;
      if (currentindex >= 0) {
        for (let i of _i.mobileherogroups) {
          i.isshow = false;
        }
        _i.mobileherogroups[currentindex].isshow = true;
        _i.currentgroupsIndex = currentindex;
      }
    },
    mobilegotoNext(_i) {
      let currentindex = parseInt(_i.currentgroupsIndex) + 1;
      if (currentindex < _i.mobileherogroups.length) {
        for (let i of _i.mobileherogroups) {
          i.isshow = false;
        }
        _i.mobileherogroups[currentindex].isshow = true;
        _i.currentgroupsIndex = currentindex;
      }
    },
  },
  beforeDestroy() {
  },
  mounted() {
  },
};
</script>
<style lang="less">
.hero {
  width: 100%;
  max-width: 1920px;
  margin: 0 auto;
}
h1,
h2 {
  position: relative;
}


/* 渐变
	 */
.gradualcolor {
  background: linear-gradient(134deg, #eaba99 0%, #ddc8b7 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  letter-spacing: 0;
}

.every_part_cont {
  width: 100%;
  max-width: 1480px;
  padding: 6.25vw 20px;
  margin: 0 auto;
  box-sizing: border-box;
}
.every_part_cont.flex {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}


// new 第二屏 box
.boxThree {
  width: 100%;
  height: 1026px;
  background: #fff;
  position: relative;
  overflow: hidden;
}
.boxThree .container {
  position: relative;
  z-index: 2;
  padding-top: 100px;
  max-width: 1200px;
  margin: 0 auto;
}

.boxThree .leftbox,
.boxThree .leftbox img,
.boxThree .tiao_top {
  position: absolute;
  left: 50%;
  top: 0;
  margin-left: -960px;
}

.boxThree .tiao_top {
  width: 1920px;
  height: 98px;
  background: url(../assets/images/home/newsec/tiao_01.png) no-repeat top center;
  z-index: 3;
}
.boxThree .container .tit {
  position: relative;
  z-index: 4;
  width: 461px;
  height: 124px;
}
.tit {
  margin: 0 auto;
  display: block;
}
.boxThree .container .hero_nav {
  position: absolute;
  top: 300px;
  left: 600px;
  z-index: 3;
}

.boxThree .container .hero_nav {
  background-image: url(../assets/images/home/newsec/sprite.png);
  background-position: -171px -1286px;
  width: 105px;
  height: 400px;
}
.boxThree .container .hero_nav ul:first-child {
  margin-top: 20px;
}

.boxThree .container .hero_nav ul li {
  height: 52px;
  display: block;
  line-height: 47px;
  font-size: 18px;
  font-weight: 700;
  cursor: pointer;
  text-align: center;
  color: #000;
}
.boxThree .container .hero_nav ul li.act {
  display: block;
  line-height: 47px;
  margin: 0 0 0 -6px;
}
.boxThree .container .hero_nav ul li.act {
  background-position: -1416px -847px;
  width: 141px;
  height: 52px;
}
.boxThree .container .hero_nav ul li.act,
.boxThree .container .rightBox {
  background-image: url(../assets/images/home/newsec/sprite.png);
}
.boxThree .leftbox img {
  width: auto;
  height: auto;
}
.boxThree .leftbox,
.boxThree .leftbox img,
.boxThree .tiao_top {
  position: absolute;
  left: 50%;
  top: 0;
  margin-left: -960px;
}
.boxThree .leftbox {
  z-index: 1;
  width: 1920px;
  height: 100%;
}

.boxThree .leftbox,
.boxThree .leftbox img,
.boxThree .tiao_top {
  position: absolute;
  left: 50%;
  top: 0;
  margin-left: -960px;
}
.boxThree .leftbox img {
  width: auto;
  height: auto;
}
img {
  vertical-align: top;
  border: 0;
  -ms-interpolation-mode: bicubic;
}
.boxThree .container .rightBox {
  position: absolute;
  top: 195px;
  right: -100px;
  overflow: hidden;
  z-index: 2;
  background-position: -1201px 0;
  width: 625px;
  height: 755px;
}
.BgBox.hide {
  display: none;
}
.BgBox.show {
  display: block;
}
.boxThree .container .rightBox a.preBtn {
  background-position: -1741px -760px;
  width: 58px;
  height: 56px;
  position: absolute;
  top: 655px;
  left: 185px;
}
.boxThree .container .rightBox a.preBtn,
.boxThree .container .rightBox a.nextBtn {
  background-image: url(../assets/images/home/newsec/sprite.png);
}
.boxThree .container .rightBox a.preBtn.disabled,
.boxThree .container .rightBox a.nextBtn.disabled {
  cursor: default;
  opacity: 0.4;
}
.boxThree .container .rightBox a.nextBtn {
  position: absolute;
  top: 655px;
  right: 305px;
}
.boxThree .container .rightBox a.nextBtn {
  background-position: -1242px -910px;
  width: 58px;
  height: 56px;
}
.boxThree .container .rightBox .wrapper-heroHeadImgBox {
  width: 400px;
  height: 520px;
  position: absolute;
  top: 110px;
  left: 55px;
  overflow: hidden;
}
.boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox {
  width: 400px;
  height: 520px;
  position: relative;
  top: 0;
  left: 0;
}
.boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox ul li {
  width: 400px;
  display: none;
}
.boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox img.act {
  border-color: #ffe11b;
}

.boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox img {
  float: left;
  width: 102px;
  height: 102px;
  margin: 0 17px 17px 0;
  border: 5px solid #000;
  border-top-width: 6px;
  border-bottom-width: 7px;
  border-right-width: 8px;
  box-shadow: -5px 5px 0 rgba(0, 0, 0, 0.2);
  cursor: pointer;
  box-sizing: content-box;
}
.boxThree .tiao_bottom {
  width: 100%;
  height: 105px;
  background: url(../assets/images/home/newsec/tiao_02.png) no-repeat top center;
  position: absolute;
  bottom: 0;
  z-index: 3;
}
.phoneshow,
.tokenphoneshow {
  display: none;
}


@media screen and (max-width: 1200px) {
  .boxThree .container .hero_nav {
    left: 580px;
  }
}
@media screen and (max-width: 1180px) {
  .boxThree .container .hero_nav ul:first-child {
    margin-top: 0;
  }
  .boxThree .container .hero_nav {
    width: 50%;
    height: auto;
    background: url(../assets/images/home/newsec/bg_heroes_nav.png) no-repeat;
    background-size: cover;
    position: absolute;
    top: 185px;
    left: calc(50% + 30px);
    z-index: 3;
    padding: 10px 0 0 10px;
  }
  .boxThree .container .hero_nav ul li {
    float: left;
    width: 95px;
    cursor: pointer;
    text-align: center;
    margin: 0 6px;
  }
  .boxThree .container .hero_nav ul li.act {
    width: 95px;
    background-image: none;
    background: url(../assets/images/home/newsec/bg_heroes_nav_act.png)
      no-repeat center;
    background-size: 100% 60%;
  }

  .boxThree .container .rightBox {
    right: -30px;
    width: 50%;
  }
  .boxThree .container .rightBox a.preBtn {
    left: 175px;
  }
  .boxThree .container .rightBox a.nextBtn {
    left: 255px;
  }
  .boxThree .leftbox,
  .boxThree .leftbox img,
  .boxThree .tiao_top {
    margin-left: -920px;
  }
}
@media screen and (max-width: 950px) {
  // new sec ----------------------
  .boxThree {
    height: auto;
  }
  .boxThree .container {
    min-height: 1000px;
  }
  .boxThree .container .hero_nav {
    bottom: 330px;
    top: auto;
    left: 50%;
    width: 606px;
    margin-left: -310px;
  }
  .boxThree .container .rightBox {
    right: auto;
    width: 686px;
    left: 50%;
    margin-left: -333px;
    height: 290px;
    top: auto;
    bottom: 60px;
    background: url(../assets/images/home/newsec/bg_heroes.png) no-repeat center;
    background-size: 100% 100%;
  }
  .boxThree .container .rightBox .wrapper-heroHeadImgBox {
    width: 88%;
    height: auto;
    top: 50px;
    left: 40px;
  }
  .boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox {
    height: auto;
  }
  .boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox,
  .boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox ul li {
    width: 100%;
  }
  .boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox img {
    width: 70px;
    height: 70px;
  }
  .boxThree .container .rightBox a.preBtn,
  .boxThree .container .rightBox a.nextBtn {
    top: 118px;
    width: 40px;
    height: 41px;
  }
  .boxThree .container .rightBox a.preBtn {
    background: url(../assets/images/home/newsec/btn_left.png) no-repeat center;
    background-size: 100% 100%;
    left: 10px;
  }
  .boxThree .container .rightBox a.nextBtn {
    background: url(../assets/images/home/newsec/btn_right.png) no-repeat center;
    background-size: 100% 100%;
    left: auto;
    right: 32px;
  }
  .boxThree .leftbox,
  .boxThree .leftbox img {
    margin-left: -800px;
  }
}
@media screen and (max-width: 750px) {
  .boxThree .leftbox {
    width: 100%;
    height: auto;
    left: 0;
    display: flex;
    justify-content: center;
  }
  .boxThree .leftbox,
  .boxThree .leftbox img {
    margin-left: 0px;
  }
  .boxThree .leftbox img {
    position: static;
    height: 162vw;
    width: 100vw;
  }
  .boxThree .container {
    min-height: calc(162vw - 50px);
  }
  .boxThree {
    min-height: 162vw;
    height: auto;
  }
  .pcshow {
    display: none;
  }
  .phoneshow {
    display: block;
  }
  // new sec ----------------------
  .boxThree .container .rightBox,
  .boxThree .container .hero_nav {
    width: 100vw;
    margin-left: 0;
    left: 0;
  }
  .boxThree .container .hero_nav {
    width: 90vw;
    margin: 0 auto;
    bottom: 276px;
    left: 3vw;
    background-size: 100% 100%;
    max-width: 426px;
    left: 50%;
    margin-left: -216px;
    padding: 6px 0 2px 10px;
  }
  .boxThree .container .rightBox {
    height: 49vw;
    bottom: 30px;
    left: 50%;
    margin-left: -234px;
    height: auto;
    max-width: 480px;
    overflow: visible;
  }
  .boxThree .container .rightBox a.preBtn,
  .boxThree .container .rightBox a.nextBtn {
    top: 100px;
  }
  .boxThree .container .rightBox a.preBtn {
    left: -15px;
  }
  .boxThree .container .rightBox a.nextBtn {
    right: 4px;
  }
  .boxThree .container .rightBox .wrapper-heroHeadImgBox {
    position: static;
    width: 100%;
    padding: 30px;
    top: 10vw;
  }
  .boxThree .container .rightBox .wrapper-heroHeadImgBox .heroHeadImgBox img {
    width: calc(25% - 20px);
    height: auto;
    border: 2px solid #000;
    border-top-width: 3px;
    border-bottom-width: 4px;
    border-right-width: 5px;
    box-shadow: -3px 3px 0 rgba(0, 0, 0, 0.2);
    margin: 0 12px 12px 0;
  }
  .boxThree .container .hero_nav ul li,
  .boxThree .container .hero_nav ul li.act {
    font-size: 16px;
    width: 70px;
    height: 42px;
    line-height: 38px;
  }
}
@media screen and (max-width: 650px) {

  .boxThree .container .rightBox {
    max-width: 420px;
    margin-left: -203px;
  }
  .boxThree .container .rightBox a.preBtn,
  .boxThree .container .rightBox a.nextBtn {
    top: 86px;
  }
  .boxThree .container .hero_nav {
    max-width: 374px;
    margin-left: -189px;
    bottom: 252px;
  }
}
@media screen and (max-width: 500px) {
  .boxThree .container {
    min-height: calc(162vw - 10px);
  }
  .boxThree .container .hero_nav {
    max-width: 296px;
    margin-left: -152px;
    bottom: 208px;
  }
  .boxThree .container .hero_nav ul li,
  .boxThree .container .hero_nav ul li.act {
    font-size: 14px;
    height: 30px;
    line-height: 30px;
  }
  .boxThree .container .rightBox {
    max-width: 330px;
    margin-left: -162px;
    bottom: 40px;
  }
  .boxThree .container .rightBox a.preBtn,
  .boxThree .container .rightBox a.nextBtn {
    width: 30px;
    height: 31px;
  }
  .boxThree .container .rightBox .wrapper-heroHeadImgBox {
    padding: 25px 20px 15px;
  }
  .boxThree .container .rightBox a.preBtn,
  .boxThree .container .rightBox a.nextBtn {
    top: 78px;
  }
  .boxThree .container .rightBox a.preBtn {
    left: -6px;
  }
}
@media screen and (max-width: 350px) {
  .boxThree .container .rightBox {
    max-width: 310px;
    margin-left: -152px;
  }
  .boxThree .container .hero_nav {
    max-width: 282px;
    margin-left: -145px;
    bottom: 200px;
  }
}
</style>
